varying vec2 v_texCoord;
uniform float u_visLevel;
uniform float u_intensity;
void main()
{
    vec4 colorOutput = texture2D(CC_Texture1, v_texCoord);
    float alpha = texture2D(CC_Texture2, vec2(0.0,0.0)).a;
    
    alpha -= u_visLevel;
    
    gl_FragColor = colorOutput * alpha * u_intensity ;
}
